Bug 189609 - Review Request: galago-daemon
Review Request: galago-daemon
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: John Mahowald
Fedora Package Reviews List
:
Depends On: 189603
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2006-04-21 11:53 EDT by Brian Pepple
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-05-19 12:20:58 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Brian Pepple 2006-04-21 11:53:11 EDT
Spec URL: http://piedmont.homelinux.org/fedora/galago/galago-daemon.spec
SRPM URL: http://piedmont.homelinux.org/fedora/galago/galago-daemon-0.5.0-1.src.rpm
Description: The Galago presence daemon, which is the center of all presence transactions for Galago. This service is automatically launched by D-BUS when needed.
Comment 1 John Mahowald 2006-05-17 16:11:24 EDT
- rpmlint checks return:
W: galago-daemon non-conffile-in-etc /etc/dbus-1/system.d/galago-daemon.conf
A non-executable file in your package is being installed in /etc, but is not
a configuration file. All non-executable files in /etc should be configuration
files. Mark the file as %config in the spec file.

W: galago-daemon non-standard-dir-in-usr libexec
Non standard but not without precedent. I'm inclined to ignore.

- package meets naming guidelines
- package meets packaging guidelines
- license (GPL) OK, text in %doc, matches source
- spec file legible, in am. english
- source matches upstream
- package compiles on FC5 (x86_64)
- no missing BR
- no unnecessary BR
- no locales
- not relocatable
- owns all directories that it creates
- no duplicate files
- permissions ok
- %clean ok
- macro use consistent
- code, not content
- no need for -docs
- nothing in %doc affects runtime
- no need for .desktop file 

APPROVED
Comment 2 John Mahowald 2006-05-17 16:13:53 EDT
- rpmlint checks return:
W: galago-daemon non-conffile-in-etc /etc/dbus-1/system.d/galago-daemon.conf
A non-executable file in your package is being installed in /etc, but is not
a configuration file. All non-executable files in /etc should be configuration
files. Mark the file as %config in the spec file.

W: galago-daemon non-standard-dir-in-usr libexec
Non standard but not without precedent. I'm inclined to ignore.

- package meets naming guidelines
- package meets packaging guidelines
- license (GPL) OK, text in %doc, matches source
- spec file legible, in am. english
- source matches upstream
- package compiles on FC5 (x86_64)
- no missing BR
- no unnecessary BR
- no locales
- not relocatable
- owns all directories that it creates
- no duplicate files
- permissions ok
- %clean ok
- macro use consistent
- code, not content
- no need for -docs
- nothing in %doc affects runtime
- no need for .desktop file 

Mark the config file as %config

APPROVED
Comment 3 Brian Pepple 2006-05-19 12:20:58 EDT
Packages built for FC5 & Devel.  Thanks for the review.

Note You need to log in before you can comment on or make changes to this bug.